

#include "BUILTIN.h"
extern OBJ _AISeq_16(OBJ,OBJ);extern OBJ __AISeq_16;

#include "Nat.h"

#include "Char.h"
extern OBJ _ASeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_3;
extern OBJ _ASeqConv_5(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_5;
extern OBJ __ASeqConv_7;
extern OBJ __ASeqConv_8;
extern OBJ _AISeqConv_2(OBJ,OBJ);OBJ __AISeqConv_2; /* ` */
extern OBJ _AISeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AISeqConv_3; /* `,1 */
extern OBJ _AISeqConv_4(OBJ,OBJ);OBJ __AISeqConv_4; /* `,2 */
extern OBJ _AISeqConv_5(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AISeqConv_5; /* `,3 */
extern OBJ _AISeqConv_6(OBJ,OBJ,OBJ);OBJ __AISeqConv_6; /* `,4 */
extern OBJ _AISeqConv_7(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AISeqConv_7; /* `,5 */
extern OBJ _AISeqConv_8(OBJ,OBJ,OBJ);OBJ __AISeqConv_8; /* `,6 */
extern OBJ _AISeqConv_9(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AISeqConv_9; /* `,7 */
OBJ __AISeqConv_10; /* defaultsize */
OBJ __AISeqConv_11; /* `'11 */

extern OBJ _AISeqConv_2(OBJ x1,OBJ x2) /* ` */
{OBJ r;
 CPPRD(__AISeqConv_11,1);
 CPPRD(__ASeqConv_7,1);
 CPPRD(__ASeqConv_8,1);
 {OBJ x3;
  x3=_AISeq_16(__AISeqConv_10,x2);
  r=_ASeqConv_3(__ASeqConv_7,__ASeqConv_8,__AISeqConv_11,x1,x3);}
 return r;}

extern OBJ _AISeqConv_3(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* `,1 */
{OBJ r;
 {OBJ x6;
  x6=_AISeq_16(__AISeqConv_10,x5);
  r=_ASeqConv_3(x1,x2,x3,x4,x6);}
 return r;}

extern OBJ _AISeqConv_4(OBJ x1,OBJ x2) /* `,2 */
{OBJ r;
 CPPRD(__AISeqConv_11,1);
 CPPRD(__ASeqConv_7,1);
 CPPRD(__ASeqConv_8,1);
 {OBJ x3;
  x3=_AISeq_16(__AISeqConv_10,x2);
  r=_ASeqConv_5(__ASeqConv_7,__ASeqConv_8,__AISeqConv_11,x1,x3);}
 return r;}

extern OBJ _AISeqConv_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* `,3 */
{OBJ r;
 {OBJ x6;
  x6=_AISeq_16(__AISeqConv_10,x5);
  r=_ASeqConv_5(x1,x2,x3,x4,x6);}
 return r;}

extern OBJ _AISeqConv_6(OBJ x1,OBJ x2,OBJ x3) /* `,4 */
{OBJ r;
 CPPRD(__AISeqConv_11,1);
 CPPRD(__ASeqConv_7,1);
 CPPRD(__ASeqConv_8,1);
 {OBJ x4;
  x4=_AISeq_16(x1,x3);
  r=_ASeqConv_3(__ASeqConv_7,__ASeqConv_8,__AISeqConv_11,x2,x4);}
 return r;}

extern OBJ _AISeqConv_7(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* `,5 */
{OBJ r;
 {OBJ x7;
  x7=_AISeq_16(x4,x6);
  r=_ASeqConv_3(x1,x2,x3,x5,x7);}
 return r;}

extern OBJ _AISeqConv_8(OBJ x1,OBJ x2,OBJ x3) /* `,6 */
{OBJ r;
 CPPRD(__AISeqConv_11,1);
 CPPRD(__ASeqConv_7,1);
 CPPRD(__ASeqConv_8,1);
 {OBJ x4;
  x4=_AISeq_16(x1,x3);
  r=_ASeqConv_5(__ASeqConv_7,__ASeqConv_8,__AISeqConv_11,x2,x4);}
 return r;}

extern OBJ _AISeqConv_9(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* `,7 */
{OBJ r;
 {OBJ x7;
  x7=_AISeq_16(x4,x6);
  r=_ASeqConv_5(x1,x2,x3,x5,x7);}
 return r;}


static OBJ _mt_6_0_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,3);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 return r;}

static OBJ _mt_6_0_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,5);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 return r;}

static OBJ _mt_6_3_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  r=t;
 }else{
  DPCLS(t,r);
  FLDCLS(r,1)=FLDCLS(t,1);
  FLDCLS(r,2)=FLDCLS(t,2);
  FLDCLS(r,3)=FLDCLS(t,3);
  COPY(FLDCLS(r,1),1);
  COPY(FLDCLS(r,2),1);
  COPY(FLDCLS(r,3),1);}
 INCCLS(r,3,2);
 FLDCLS(r,4)=t1;
 FLDCLS(r,5)=t2;
 return r;}

static OBJ _mt_6_3_3(OBJ t,OBJ t1,OBJ t2,OBJ t3) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),t1,t2,t3);
 return r;}

static OBJ _mt_6_5_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1);
 return r;}
static OBJ _mt_6_5_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

init_AISeqConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_AISeq();
 init_AString();
 init_ANat();
 init_AChar();
 init_ASeq();
 init_AOption();
 init_ASeqConv();
 DEN(", ... >",__AISeqConv_11);
 CLS(6,_AISeqConv_9,__AISeqConv_9);
 CLS(3,_AISeqConv_8,__AISeqConv_8);
 CLS(6,_AISeqConv_7,__AISeqConv_7);
 CLS(3,_AISeqConv_6,__AISeqConv_6);
 CLS(5,_AISeqConv_5,__AISeqConv_5);
 CLS(2,_AISeqConv_4,__AISeqConv_4);
 CLS(5,_AISeqConv_3,__AISeqConv_3);
 CLS(2,_AISeqConv_2,__AISeqConv_2);
 MTH(6,0,3,_mt_6_0_3);LZYMTH(6,0,3,_mt_6_0_3);
 MTH(6,0,5,_mt_6_0_5);LZYMTH(6,0,5,_mt_6_0_5);
 MTH(6,3,2,_mt_6_3_2);LZYMTH(6,3,2,_mt_6_3_2);
 MTH(6,3,3,_mt_6_3_3);LZYMTH(6,3,3,_mt_6_3_3);
 MTH(6,5,1,_mt_6_5_1);LZYMTH(6,5,1,_mt_6_5_1_l);
 __AISeqConv_10=__ANat_16;}

